%global pypi_name django-cors-headers
%global commitId ce4da63f76d8e0402abc635601659eb02094ca73

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.10.1
Release:        2%{?dist}
Summary:        django-cors-headers is a Django application for handling the server headers required for Cross-Origin Resource Sharing (CORS)

License:        MIT License
URL:            https://github.com/adamchainz/django-cors-headers
Source0:        python-django-cors-headers-ce4da63f76d8e0402abc635601659eb02094ca73.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
A Django App that adds Cross-Origin Resource Sharing (CORS) headers to
responses. This allows in-browser requests to your Django application from
other origins.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:  python%{python3_pkgversion}-django >= 2.2

%description -n     python%{python3_pkgversion}-%{pypi_name}
A Django App that adds Cross-Origin Resource Sharing (CORS) headers to
responses. This allows in-browser requests to your Django application from
other origins.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n     python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/corsheaders
%{python3_sitelib}/django_cors_headers-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Dec 15 2021 James Marshall <jamarsha@redhat.com> - 3.10.1-2
- Initial package.

